petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatPtAPNumeric

Computes the matrix product C = P^T * A * P

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPtAPNumeric(Mat A,Mat P,Mat C)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the matrix
| P | - the projection matrix

### Output Parameters

C -the product matrix

### Notes

C must have been created by calling MatPtAPSymbolic and must be destroyed by the user using MatDeatroy().

This routine is currently only implemented for pairs of AIJ matrices and classes which inherit from AIJ. C will be of type MATAIJ.

### See Also

MatPtAP(), MatPtAPSymbolic(), MatMatMultNumeric()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages